.left margin
.ifnot hlp
.hl 1 TABLE of CONTENTS
.X Table of contents
There is now a table of contents feature.  A table of contents file
is automatically output if a second output filespec is specified.
The table of contents file is labeled .RNT by default.  For example
you wish to get a table of contents and regular runoff file. You type:
.s.i10;>RNO EXAMPLE,EXAMPLE=EXAMPLE
.s
The EXAMPLE.RNT file must then be passed through RNO to get the final TOC.
You may edit the .RNT file if it is not satisfactory.
You would do the following:
.s.i10;>RNO EXAMPLE.TOC=EXAMPLE.RNT
.s
You now have the final EXAMPLE.DOC and EXAMPLE.TOC files.  They may be printed
separately or a new composite file may be created:
.s.i10;>COPY EXAMPLE.TOC,EXAMPLE.DOC EXAMPLE.TXT
.i15;or
.i10;>PIP EXAMPLE.TXT=EXAMPLE.TOC,EXAMPLE.DOC
.s
Now the composite file EXAMPLE.TXT may be printed as a whole document.
.s
The following commands control the TOC output.
.endif hlp
.left margin +5
.if hlp.i-6;3 SEND__TOC
.endif HLP
.s.tp5.i-5; .SEND TOC  text
.i-5; .STC text
.S.x SEND TOC
sends the "text" to the .RNT file.  The text may be used to control the
TOC output.  The text may actually be a set of commands for example
 .REQUIRE "FORMAT" to insert a set of commands to control the format
of the TOC.  If the same command appears in the text then you can make sure
the TOC and documentation all have the same format.
.if hlp.i-6;3 TOC
.endif HLP
.s.tp10.i-5; .TOC
.s.X TOC
You do not normally use this command.
It is automatically placed at the head of a .RNT file. It enables
formatting for the table of contents.  It does the following:
.list 0
.le; New pages for each chapter are inhibited.
.LE; All tab stops are cleared.
.le; .NO NUMBER CHAPTER
.le; .STYLE CHAPTER 1,-1,-1,0,2
.LE; .STYLE HEADERS ,,,,,0,0
.le; .INDENT LEVELS 8,8
.END LIST
.if hlp.i-6;3 END__TOC
.endif HLP
.s2.TP 10.I-5; .END TOC
.S.X END TOC
You would not normally use this command unless you wish to append more
text to the .RNT file for processing with the same page numbering as
the table of contents.
This command is the complement to .TOC.  It ends the table of contents
and allows normal text processing.  It does the following:
.list 0
.LE New pages are allowed at the start of each chapter.
.LE Tab stops are ^&NOT\& changed.
.LE .NUMBER CHAPTER
.le .STYLE CHAPTER 12,1,3,-1,-1
.le .STYLE HEADERS ,,,,,2,1
.le .INDENT LEVELS 0,0
.end list 2
.ifnot HLP
.lm
The format of the final table of contents may be varied either by editing
the .RNT file or by using .STC to add extra commands.  The following hints
may help you in designing your own format.
.LIST 0
.le The .RNT file needs .FILL to operate properly so do not edit a .NO FILL
command into it.
.LE The page numbers are right justified using tabs without
ellipses enabled.
If you want ellipses used in the table of contents you should 
 .SEND TOC .ELLIPSES.
le .ENABLE LEVELS n1,n2 may be used to automatically determine which
header levels are printed in the table of contents.  The parameter n2
is the maximum header level to output to the .RNT file and hence the maximum
to appear in the table of contents.
.le A title page may be placed in front of the table of contents by
putting it into a separate file called TITLE and inserting
 .STC .REQUIRE "TITLE" at the front of the .RNO file.
.le You may wish to number the table of contents in lower roman numerals
by using the command .STC .DISPLAY NUMBER RL.
.le The .STYLE commands may be inserted into the .RNT file to control the
actual format of the final table.  By doing this you can vary the
spacing between the entries, the spacing between items in the entries,
the Capitalization of the header levels and so on.
.le .INDENT LEVELS can also be used to change the HEADER LEVEL indentation.
.le Finally the foreward or preface may be inserted into the table of
contents file bye .STC .REQUIRE "PREFACE" and it will follow the same numbering
as the table of contents.
You may wish to .END TOC at the beginning of the PREFACE.RNO file.
This should only be necessary if the preface contains section headers.
.end list 1
.endif hlp
